﻿using System.Collections.Generic;

namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc {
  public interface IReadOnlyErcOptions {
    double ErcProbability { get; }
    IErcValueItem<int> IntegerErcOptions { get; }
    IErcValueItem<double> FloatErcOptions { get; }
    IErcValueItem<bool> BooleanErcOptions { get; }
    IErcValueItem<char> CharErcOptions { get; }
    IErcValueItem<string> StringErcOptions { get; }
    IErcValueItem<string> NameErcOptions { get; }
    IErcValueItem<IReadOnlyList<int>> IntegerVectorErcOptions { get; }
    IErcValueItem<IReadOnlyList<double>> FloatVectorErcOptions { get; }
    IErcValueItem<IReadOnlyList<string>> StringVectorErcOptions { get; }
  }
}
